Subject: bug#51336: 29.0.50; Application not responding

From: Kirill Korinsky <[email-masked]>
Date: Fri, 12 Jan 2024 17:31:49 +0100

Greetings,

On Thu, 28 Dec 2023 20:47:34 +0100,
Eli Zaretskii wrote:
> 
> Thanks, but I have no idea what this could mean.  What is the source
> of the SIGSTOP signal?

It was wrong lead.

My magit uses emacsql with extreamly large DB (>140Mb) and that freez was
related to that DB.

After clean things up, that freez dissapears, but it allows to move forward and
find that seems a root cause.

Emacs was frozen (UI) and hasn't response to any command. Before that it had
happened I'd resized a window.

I attach and de-attach external screen quite often and it triggers the resize.

So, when it was frozen I've attached via lldb and get stack traces bellow.

It is reproducable, not each resize but often enough.

When it frozen, I need to kill it, otherwise it absolutle useless.

And this stack trace was obtained from local root d9462e24a967e32d550ee886b5150f0cc78358f6

(lldb) bt all
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGSTOP
  * frame #0: 0x00007ff80d07596a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007ff80d075cd8 libsystem_kernel.dylib`mach_msg + 56
    frame #2: 0x00007ff80d17929d CoreFoundation`__CFRunLoopServiceMachPort + 319
    frame #3: 0x00007ff80d177928 CoreFoundation`__CFRunLoopRun + 1276
    frame #4: 0x00007ff80d176d6c CoreFoundation`CFRunLoopRunSpecific + 562
    frame #5: 0x00007ff815e245e6 HIToolbox`RunCurrentEventLoopInMode + 292
    frame #6: 0x00007ff815e2434a HIToolbox`ReceiveNextEventCommon + 594
    frame #7: 0x00007ff815e240e5 HIToolbox`_BlockUntilNextEventMatchingListInModeWithFilter + 70
    frame #8: 0x00007ff80fbb1f6d AppKit`_DPSNextEvent + 927
    frame #9: 0x00007ff80fbb062a AppKit`-[NSApplication(NSEvent) _nextEventMatchingEventMask:untilDate:inMode:dequeue:] + 1394
    frame #10: 0x00007ff80fba2cd9 AppKit`-[NSApplication run] + 586
    frame #11: 0x0000000104b2449c Emacs`-[EmacsApp run] + 317
    frame #12: 0x0000000104b361ca Emacs`ns_read_socket_1 + 553
    frame #13: 0x0000000104a152bd Emacs`gobble_input + 243
    frame #14: 0x0000000104a13b7a Emacs`get_input_pending + 97
    frame #15: 0x0000000104a11eba Emacs`detect_input_pending_run_timers + 46
    frame #16: 0x0000000104ade227 Emacs`wait_reading_process_output + 4372
    frame #17: 0x0000000104944328 Emacs`sit_for + 436
    frame #18: 0x0000000104a0f21f Emacs`read_char + 7016
    frame #19: 0x0000000104a0b901 Emacs`read_key_sequence + 1247
    frame #20: 0x0000000104a09ec0 Emacs`command_loop_1 + 754
    frame #21: 0x0000000104a8932e Emacs`internal_condition_case + 87
    frame #22: 0x0000000104a09bbc Emacs`command_loop_2 + 41
    frame #23: 0x0000000104a88c5a Emacs`internal_catch + 81
    frame #24: 0x0000000104b5ee5f Emacs`command_loop.cold.1 + 72
    frame #25: 0x0000000104a09613 Emacs`command_loop + 132
    frame #26: 0x0000000104a09500 Emacs`recursive_edit_1 + 142
    frame #27: 0x0000000104a096fe Emacs`Frecursive_edit + 208
    frame #28: 0x0000000104a08a90 Emacs`main + 8278
    frame #29: 0x000000010546c52e dyld`start + 462
  thread #2, name = 'gmain'
    frame #0: 0x00007ff80d07dd4a libsystem_kernel.dylib`__select + 10
    frame #1: 0x00000001061209f0 libglib-2.0.0.dylib`g_poll + 505
    frame #2: 0x0000000106112049 libglib-2.0.0.dylib`g_main_context_iterate_unlocked + 297
    frame #3: 0x00000001061120fc libglib-2.0.0.dylib`g_main_context_iteration + 55
    frame #4: 0x00000001061130e7 libglib-2.0.0.dylib`glib_worker_main + 30
    frame #5: 0x0000000106137ce7 libglib-2.0.0.dylib`g_thread_proxy + 66
    frame #6: 0x00007ff80d0b24e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #7: 0x00007ff80d0adf6b libsystem_pthread.dylib`thread_start + 15
  thread #3
    frame #0: 0x00007ff80d07a456 libsystem_kernel.dylib`__pselect + 10
    frame #1: 0x00007ff80d07a373 libsystem_kernel.dylib`pselect$DARWIN_EXTSN + 42
    frame #2: 0x0000000104b2534d Emacs`-[EmacsApp fd_handler:] + 201
    frame #3: 0x00007ff80dfce964 Foundation`__NSThread__start__ + 1009
    frame #4: 0x00007ff80d0b24e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #5: 0x00007ff80d0adf6b libsystem_pthread.dylib`thread_start + 15
  thread #4, name = 'com.apple.NSEventThread'
    frame #0: 0x00007ff80d07596a libsystem_kernel.dylib`mach_msg_trap + 10
    frame #1: 0x00007ff80d075cd8 libsystem_kernel.dylib`mach_msg + 56
    frame #2: 0x00007ff80d17929d CoreFoundation`__CFRunLoopServiceMachPort + 319
    frame #3: 0x00007ff80d177928 CoreFoundation`__CFRunLoopRun + 1276
    frame #4: 0x00007ff80d176d6c CoreFoundation`CFRunLoopRunSpecific + 562
    frame #5: 0x00007ff80fd1f98e AppKit`_NSEventThread + 132
    frame #6: 0x00007ff80d0b24e1 libsystem_pthread.dylib`_pthread_start + 125
    frame #7: 0x00007ff80d0adf6b libsystem_pthread.dylib`thread_start + 15
  thread #5
    frame #0: 0x00007ff80d07704a libsystem_kernel.dylib`__workq_kernreturn + 10
    frame #1: 0x00007ff80d0af034 libsystem_pthread.dylib`_pthread_wqthread + 426
    frame #2: 0x00007ff80d0adf57 libsystem_pthread.dylib`start_wqthread + 15
(lldb) ^D

-- 
wbr, Kirill